	/*  This is a Java comment, comments in Java are enclosed in the
	    in asterisks and forward slashes like they are here.  This is
	    the same as for C,  Or...  */

	//  ...comments can be in a C++ style.  In this style of comment,
	//  a line with two forward slashes will be ignored by the
	//  compiler from the slashes to the end of the line.
	//  This is the same as using REM in Basic.


	import java.io.*;
	
	class pattern {

	  //  The first method, this one displays asterisks
	  public static void star(int number) {
	    int s;
	
	    for (s = 0; s < number; s++) {
	      System.out.print("*");
	    }
	    System.out.println();
	  }

          //  The second method.  This is identical to the first, but
          //  displays hashes instead.
	  public static void hash(int number) {
	    int h;
	
	    h = 0;
	    do {
	      System.out.print("#");
	      h++;
	    } while(h < number);
	    System.out.println();
	  }
	

	  //  The main method.  This is where execution of the program starts
	  public static void main(String args[]) {
	    int times = 0;
	
	    System.out.print("Enter number of rows: ");
	
	    try {
	      //  Read a number from the keyboard
	      times = Integer.parseInt(new BufferedReader(new
	       InputStreamReader(System.in)).readLine());

	    } catch (Exception exception) {
	      // If something went wrong, stop the program
	      System.out.println("Exception during number conversion");
	      System.exit(1);

	    }
	
	    // Begin a loop.  This loop will continue until the variable
	    // times reaches zero.  Remember, this loop will be skipped
	    // if times is already zero or less.

	    while (times > 0) {
	      if (times % 2 == 1)  // The percentage sign is modulus, or
	        star(times);       // the same as MOD in Basic.
	      else                 // This means that the method star is called
	        hash(times);       // for odd values of times, and hash for
	                           // even values
	      times--;
	    }
	  }
	}
